import { AppType as m, ItemType as r } from "./accelbyte-widgets185.mjs";
import { PageRoute as t } from "./accelbyte-widgets121.mjs";
const n = class {
};
let e = n;
e.GameList = new t("/store/apps");
e.GameItem = new t("/store/apps/:itemId");
e.DlcList = new t("/store/dlcs");
e.DlcItem = new t("/store/dlcs/:itemId");
e.InGameItem = new t("/store/in-game-items/:itemId");
e.BundleList = new t("/store/bundles");
e.BundleItem = new t("/store/bundles/:itemId");
e.CodeList = new t("/store/code");
e.CodeItem = new t("/store/code/:itemId");
e.OptionboxList = new t("/store/optionbox");
e.OptionboxItem = new t("/store/optionbox/:itemId");
e.Store = new t("/store");
e.Recharge = new t("/recharge");
e.OrderDetail = new t("/orders/:orderNo");
e.SubscriptionOrder = new t("/subscription/:subscriptionId");
e.Subscription = new t("/subscription");
e.PaymentSuccessCallback = new t("/callback/order/success");
e.getItemDetailRoute = (s) => {
  const o = s.itemId;
  if (s.appType === m.enum.DLC)
    return n.DlcItem.makePath({ itemId: o });
  switch (s.itemType) {
    case r.enum.APP:
      return n.GameItem.makePath({ itemId: o });
    case r.enum.BUNDLE:
      return n.BundleItem.makePath({ itemId: o });
    case r.enum.CODE:
      return n.CodeItem.makePath({ itemId: o });
    case r.enum.OPTIONBOX:
      return n.OptionboxItem.makePath({ itemId: o });
    case r.enum.INGAMEITEM:
      return n.InGameItem.makePath({ itemId: o });
  }
  return "";
};
export {
  e as EcomPath
};
